apiVersion: v1
kind: Service
metadata:
  name: dlt-gateway
  namespace: dlt
spec:
  selector:
    app: dlt-gateway
  ports:
    - protocol: TCP
      port: 50051       # External port
      targetPort: 50051  # Internal port of the service
      nodePort: 32001    # A high port number for external access
  type: NodePort
